Bug 1222895 - Problems decoding TLS Server Key Exchange messages
Summary: Problems decoding TLS Server Key Exchange messages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: wireshark
Version: 6.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Martin Sehnoutka
QA Contact: Jaroslav Aster
URL:
Whiteboard:
: 1238674 (view as bug list)
Depends On: 1222600
Blocks: 1356054 1359261
TreeView+ depends on / blocked
 
Reported: 2015-05-19 12:03 UTC by Hubert Kario
Modified: 2017-03-21 09:54 UTC (History)
4 users (show)

Fixed In Version: wireshark-1.8.10-17.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1222600
Environment:
Last Closed: 2017-03-21 09:54:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0631 normal SHIPPED_LIVE Moderate: wireshark security and bug fix update 2017-03-21 12:29:55 UTC

Description Hubert Kario 2015-05-19 12:03:13 UTC
Description of problem:
If the connection uses TLSv1.2 the Wireshark GUI can't decode the TLS Handshake Protocol Server Key Exchange messages in ECDHE or DHE key exchange, it can do that only if the connection uses TLSv1.0.

Decoding of Server Key Exchange using the CLI tshark command always fails.

Version-Release number of selected component (if applicable):
wireshark-1.8.10-17.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open wireshark load tlsv1.2-ecdhe-rsa.pcapng

1. tshark -o 'ssl.desegment_ssl_records:TRUE' -d tcp.port==4433,ssl -r /tmp/ -V tlsv1.0-dhe-rsa.pcapng | grep -A 6 'Server Key Exchange'

Actual results:
        Handshake Protocol: Server Key Exchange
            Handshake Type: Server Key Exchange (12)
            Length: 199

Expected results:
        Handshake Protocol: Server Key Exchange
            Handshake Type: Server Key Exchange (12)
            Length: 199
            EC Diffie-Hellman Server Params
                curve_type: named_curve (0x03)
                named_curve: secp256r1 (0x0017)
                Pubkey Length: 65
                pubkey:f00ba2...
etc.

Additional info:
See bug 1222600 for example packet captures

Comment 3 Martin Sehnoutka 2016-07-20 06:45:18 UTC
*** Bug 1238674 has been marked as a duplicate of this bug. ***

Comment 10 errata-xmlrpc 2017-03-21 09:54:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0631.html


Note You need to log in before you can comment on or make changes to this bug.